/**
 * Arbitary function for value inspection
 *
 * @param args - Arguments
 *
 * @return Return value
 */
export declare type InspectFunction = (...args: any[]) => any;
/**
 * Input type for value inspection
 */
export declare type InspectValue = undefined | null | number | string | object | InspectFunction;
/**
 * Super-lightweight value inspection
 *
 * util.inspect for the poor. However, it works reasonably well and does not
 * blow up the size of the bundle by 15kb.
 *
 * @param value - Value to inspect
 *
 * @return Stringified value
 */
export declare function inspect(value: InspectValue): string;
